com.ibm.openpages.api.configuration

## Enum IFindSimpleCondition.RelationalOp

- java.lang.Object
- - java.lang.Enum<IFindSimpleCondition.RelationalOp>
  - - com.ibm.openpages.api.configuration.IFindSimpleCondition.RelationalOp

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IFindSimpleCondition.RelationalOp>
  Enclosing interface:
    IFindSimpleCondition

      public static enum IFindSimpleCondition.RelationalOp
      extends java.lang.Enum<IFindSimpleCondition.RelationalOp>

  Type of relational operator for the condition

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Equals`
    `Like`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IFindSimpleCondition.RelationalOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IFindSimpleCondition.RelationalOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Equals

          public static final IFindSimpleCondition.RelationalOp Equals

    - #### Like

          public static final IFindSimpleCondition.RelationalOp Like

  - ### Method Detail

    - #### values

          public static IFindSimpleCondition.RelationalOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IFindSimpleCondition.RelationalOp c : IFindSimpleCondition.RelationalOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IFindSimpleCondition.RelationalOp valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.